'use strict';

var langs_html = require('./html.js');
var langs_angularExpression = require('./angular-expression.js');
var langs_angularLetDeclaration = require('./angular-let-declaration.js');
var langs_angularTemplate = require('./angular-template.js');
var langs_angularTemplateBlocks = require('./angular-template-blocks.js');

const lang = Object.freeze(JSON.parse('{"displayName":"Angular HTML","injections":{"R:text.html - (comment.block, text.html meta.embedded, meta.tag.*.*.html, meta.tag.*.*.*.html, meta.tag.*.*.*.*.html)":{"comment":"Uses R: to ensure this matches after any other injections.","patterns":[{"match":"<","name":"invalid.illegal.bad-angle-bracket.html"}]}},"name":"angular-html","patterns":[{"include":"text.html.basic#core-minus-invalid"},{"begin":"(</?)(\\\\w[^\\\\s>]*)(?<!/)","beginCaptures":{"1":{"name":"punctuation.definition.tag.begin.html"},"2":{"name":"entity.name.tag.html"}},"end":"((?: ?/)?>)","endCaptures":{"1":{"name":"punctuation.definition.tag.end.html"}},"name":"meta.tag.other.unrecognized.html.derivative","patterns":[{"include":"text.html.basic#attribute"}]}],"scopeName":"text.html.derivative.ng","embeddedLangs":["html","angular-expression","angular-let-declaration","angular-template","angular-template-blocks"]}'));
var angular_html = [
  ...langs_html,
  ...langs_angularExpression,
  ...langs_angularLetDeclaration,
  ...langs_angularTemplate,
  ...langs_angularTemplateBlocks,
  lang
];

module.exports = angular_html;
//# sourceMappingURL=angular-html.js.map
