import { HighlighterCore, LanguageRegistration, ThemeInput } from '@shikijs/types';
import React from 'react';

interface ShikiContextValue {
    highlighter: HighlighterCore | null;
    isReady: boolean;
    error: Error | null;
}
interface ShikiProviderProps {
    children: React.ReactNode;
    initialLanguages: LanguageRegistration[];
    initialThemes: ThemeInput[];
}
declare function ShikiProvider({ children, initialLanguages, initialThemes }: ShikiProviderProps): React.JSX.Element;
declare function useShiki(): ShikiContextValue;

export { ShikiProvider, useShiki };
